<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myMemosLabel" jhiTranslate="mpmApp.memos.home.createOrEditLabel">Create or edit a Memos</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!memos.idMemo">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id" [(ngModel)]="memos.idMemo" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.memos.memoNumber" for="field_memoNumber">Memo Number</label>
            <input type="text" class="form-control" name="memoNumber" id="field_memoNumber"
                [(ngModel)]="memos.memoNumber"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.memos.bbn" for="field_bbn">Bbn</label>
            <input currencyMask class="form-control" name="bbn" id="field_bbn"
                [(ngModel)]="memos.bbn"
                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                 />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.memos.discount" for="field_discount">Discount</label>
            <input currencyMask class="form-control" name="discount" id="field_discount"
                [(ngModel)]="memos.discount"
                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '2' }"
                 />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.memos.unitPrice" for="field_unitPrice">Unit Price</label>
            <input currencyMask class="form-control" name="unitPrice" id="field_unitPrice"
                [(ngModel)]="memos.unitPrice"
                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                 />
        </div>

        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.memos.dealer" for="field_dealer">Dealer</label>
            <select class="form-control" id="field_dealer" name="dealer" [(ngModel)]="memos.dealerId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="internalOption.idPartyRole" *ngFor="let internalOption of internals; trackBy: trackInternalById">{{internalOption.name}}</option>
            </select>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.memos.billing" for="field_billing">Billing</label>
            <select class="form-control" id="field_billing" name="billing" [(ngModel)]="memos.billingId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="billingOption.idBilling" *ngFor="let billingOption of billings; trackBy: trackBillingById">{{billingOption.idbilling}}</option>
            </select>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.memos.memoType" for="field_memoType">Memo Type</label>
            <select class="form-control" id="field_memoType" name="memoType" [(ngModel)]="memos.memoTypeId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="memoTypeOption.idMemoType" *ngFor="let memoTypeOption of memotypes; trackBy: trackMemoTypeById">{{memoTypeOption.description}}</option>
            </select>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}" 
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}" 
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
